GNU bug report logs - #37719
11.91; preview-latex not working (again?)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: auctex; Reported by: Dylan Thurston <dpt@HIDDEN>; dated Sat, 12 Oct 2019 19:48:02 UTC; Maintainer for auctex is bug-auctex@HIDDEN.

Message received at 37719 <at> debbugs.gnu.org:


Received: (at 37719) by debbugs.gnu.org; 14 Oct 2019 08:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 04:01:00 2019
Received: from localhost ([127.0.0.1]:38035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJvHn-0002Nb-28
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 04:00:59 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:33435)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chris.liddell@HIDDEN>) id 1iJulb-0004hk-CP
 for 37719 <at> debbugs.gnu.org; Mon, 14 Oct 2019 03:27:44 -0400
Received: by mail-wr1-f51.google.com with SMTP id b9so18388645wrs.0
 for <37719 <at> debbugs.gnu.org>; Mon, 14 Oct 2019 00:27:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=artifex-com.20150623.gappssmtp.com; s=20150623;
 h=subject:to:cc:references:from:openpgp:autocrypt:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=5OpSNzPwUsd+krrib1Olk8XX0AvFb9mxqFaRjOBft2w=;
 b=vvhMTbmKshqPYmfcBVL000W/YixeKQn/kxpTw2LdDOyA1Tfmtm/Z7BXUDfdQ6+L/ii
 K8XsdWuItU9lzmVnsVts9T1oaC1hm8/Sc8gwtaBcSjy3uEW/1RPU7poKY/u//aZ5hUFE
 gKs/m9lqiSc0BKFCaGhOUFK2Hknk4EnBClUU2jXcJwd/PYw1JMDBWG/UAWOAHkORoGXz
 OkiaX4mA0mvysMUnTDcRyvqRQPGa9ws8ma8Y43jipytQRbHc3tFSQCdnEOGEGiGYnWTk
 BokNfXFPPZrU+jRNKxKmHTpvgEhJcFC2vFMxR6BpE0pr4qpdQl2uN+/lsrKQqwMlrd7p
 4S9w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:openpgp:autocrypt
 :message-id:date:user-agent:mime-version:in-reply-to
 :content-language:content-transfer-encoding;
 bh=5OpSNzPwUsd+krrib1Olk8XX0AvFb9mxqFaRjOBft2w=;
 b=Lok35tBtezPY+bU8lqMIWxBpBl2KpWzpdqr6tRiO402g1HCPMZr9JnJLMZhMHTNAsR
 fVOqtPf0X8pbIqSR1da4qfv7Gv05vz6lC01XDvyjLx/fDEy2o2ByygIoComf5U/tAme1
 HSJEZww7mAsts+pXKVUQq1AAapGO1etYHCK5phSdXZcM0rsRx0jJXxK5rGbxcgaL0/Tb
 6X3gCriVG16Euzo+fNwnwTuL6X3a0LtZwoVnnba3TG/vTJhamH0HB0a/unvi1S7MNJ4/
 2eoEBCtv9BiaSKtOxYYl2w0EoBakqO61PLEt93Tp3+YodL5Q0y6VC9JQiW2MQLdqZQLy
 8AYg==
X-Gm-Message-State: APjAAAUM+OnhQrvvivcHHf+MiyvuzoLeBf/PDe1/Hn+o2ScdgtTA2Qpw
 KYEmtN7Pu1clZRw5smyGQQl+PmbXZoFR+A==
X-Google-Smtp-Source: APXvYqyYHW1+kpOwPsheGJA7sDVX6y2lLZVv3fnfS9TCbTBq67WRxxUqC5dHpzxsa+ABIv4XWjfPvg==
X-Received: by 2002:adf:f6cd:: with SMTP id y13mr11582269wrp.164.1571038056977; 
 Mon, 14 Oct 2019 00:27:36 -0700 (PDT)
Received: from [192.168.1.243]
 (cpc75872-ando7-2-0-cust954.15-1.cable.virginm.net. [86.13.79.187])
 by smtp.googlemail.com with ESMTPSA id x129sm33229851wmg.8.2019.10.14.00.27.35
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 14 Oct 2019 00:27:36 -0700 (PDT)
Subject: Re: [gs-devel] Recent ghostscript broke preview-latex again
To: Ikumi Keita <ikumi@HIDDEN>, gs-devel@HIDDEN
References: <85502.1570990516@localhost>
From: Chris Liddell <chris.liddell@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=chris.liddell@HIDDEN; prefer-encrypt=mutual; keydata=
 xsBNBFj90NwBCADJ3GnThABbqusHnIoRd/mkvBEOQLTGC0qQxjLmAd0E3NQrKEjsCy7oT38K
 lYwK0BVmJX3NnYWMnv3QrQpJpQJupGKX61M7l8mmWljQC4emsRxj5u5TYUXNOvXMYQ0vbeiW
 IsSrdPj3dxSrZAvZc5vxU9NWMmiwFshVwV0jAAl4st4y/4pURVuMQ1LJVufzkazFLFsXc0X5
 NwhIS1s+P6OcegT7Z/ZYa/ToiN39zsgIzcD+FM+1OnPbkBeHozBlsYrB4BDcTDxuwXhnqb8v
 eO6NWe1woXpF6tcqXYKqehTQ7ukiQJth0pK1A31VN2PSKLadfd0GItnKvNsNQg0EUKArABEB
 AAHNKUNocmlzIExpZGRlbGwgPGNocmlzLmxpZGRlbGxAYXJ0aWZleC5jb20+wsB3BBMBCAAh
 BQJY/dDcAhsjBQsJCAcCBhUICQoLAgQWAgMBAh4BAheAAAoJEFKQ1Kjm6hdq+6YH/3zPOtQ2
 R9HN2Dgo+GU0R014xolnMZ26fwQCwwZG1PXlFRKOEIwS/yzd6qFfXQwklMD3c92WymTqW81V
 Xjj0vC/uiYhRbUJKnbzI2voNOvUQ29zUqsu32q5kRnILKoyvyJbd3Y0eJMpZj1aiA30v+IcH
 fyYv2DclAcRIZyElcTCH2Zr3VEe2nglTsMWWhfUL2xu78qDqq6rEk7+YBl9GSKcAsFaOijCk
 VnF+FfNN4e6NFAVaMvSldSWJPHbS+BUzBJG2QKLIuhjU+DpxbtK7PMny+Hgp2Mj7PCDXLWVU
 CPnwSrFxbrO/2nDMXT0DmTDim21R8RGAqLtmNsq23ftUO3zOwE0EWP3Q3AEIAKH/z+c2xICw
 AqM0+NRNaOqxf8XAl6B4iIiybwoegTphxwc4bxoMZV1/1yUVVP8wJPdiyfLKZf313pVJtzYs
 If8xbpFFcQ51ucKjJhaUY0VEst3ao2ifa4/zMs55SyRO3OxxcrMzaPYiHgIkyi4CtT6gfwIG
 GwFxCp9ldrOa/txI+ZiIFLevDt5Ym7dgBaufFT43uw7ZQBGfr/f8HpmxlEWlMZiRJSn3ovEJ
 gZtiu2ieH41DuUdpfU1mFR8U4rY/KavXwgT3vg2gsTyKM4QO82MEptc646gG4sHokmVJME3c
 q1ruvYRm3stekliAWjo6E90FZIsHaAwe2mT14nJTtbkAEQEAAcLAXwQYAQgACQUCWP3Q3AIb
 DAAKCRBSkNSo5uoXasJVB/97fAw8LgPoaOzrI/aS+41uSXsx+2TBw9CTpnrayUTL5iucKoFr
 tIeaNWm2mV5t94wuwzGcwyUWT2DGaZTMFSRWgmN4i91hYiWdavqVQqCtrj2G1GXPStMvc8Er
 rDparUG5ps2mtKB4do9HubhoWns2xkQkGMCWN60bEJk4A4OlN2A1DaX2IQfXFD4ByKkx/nRt
 jTpHhd2Tqphfj8lJyB2CcDm5sMGFGrUrt5RumlAiWyT470hGdd+nzx8tmm/jOzQXbJF+CN3m
 KLbHdFrEujBtq1VO+rI9ERp5of2FxCwVf3ATCrgtruVvtd+79jW4DXTvWGaZR3pVdFQ1if/S 9gQ1
Message-ID: <5ca85d26-b5b2-da44-c438-5ce5951d31a9@HIDDEN>
Date: Mon, 14 Oct 2019 08:27:35 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.9.0
MIME-Version: 1.0
In-Reply-To: <85502.1570990516@localhost>
Content-Type: text/plain; charset=utf-8
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 37719
X-Mailman-Approved-At: Mon, 14 Oct 2019 04:00:57 -0400
Cc: 37719 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

This is almost certainly down to the fact that, for improved security,
the file access controls (PermitFileReading etc) are no longer stored as
Postscript objects - that is, they are not user parameters any more.

Before you call .locksafe, adding something like:

systemdict /.addcontrolpath known
{
  /PermitFileReading (bbb.pdf) .addcontrolpath
  /PermitFileReading (bbb.prv/tmp0UabeI/preview.dsc) .addcontrolpath
} if

That should work, and retain functionality with 9.27 and earlier releases.

Note that any attempt to ".addcontrolpath" *after* calling .locksafe
will result in a fatal error and immediate exit from the interpreter.

Regards,

Chris


On 13/10/2019 19:15, Ikumi Keita wrote:
> Dear Ghostscript developers,
> 
> Thank you for your continuing work on developing gs.  Unfortunately, I
> have to inform you that recent gs source became not compatible with
> preview-latex again:
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37719
> 
> I tried both gs 9.28 RC4 and fresh checkout of git repository of
> ghostpdl.  I installed each of them with
> env MAKE=gmake ./configure --prefix=$HOME/gs
> gmake
> gmake install
> and set up the relavant path for this temporal installation, on FreeBSD
> 12.0 living in vmware on windows 10 home edition.  Then the invocation
> of gs failed with a message quoted at the last of this message.
> 
> At the time of previous correspondence between us in this July,
> preview-latex did work with gs 9.27 with patches suggested in
> https://ghostscript.com/pipermail/gs-devel/2019-July/010161.html
> applied, but it no longer does.  (By the way, the LaTeX developer
> released new LaTeX this October, so the internal of the PDF file
> produced by pdflatex might have some subtle difference from July.  I
> attach the current PDF for reference.)
> 
> Could you please take a look and try to find a way to recover
> preview-latex functionality?
> 
> Best regards,
> Ikumi Keita
> 
> /home/keita/gs/bin/gs -dOutputFile\=\(bbb.prv/tmp0UabeI/pr1-1.png\) -q -dDELAYSAFER -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r108.606x108.587 -dDELAYBIND
> GS>{<</PermitFileReading[(bbb.pdf)(bbb.prv/tmp0UabeI/preview.dsc)]>> setuserparams .locksafe} stopped pop {DELAYSAFER{.setsafe}if}stopped pop/.preview-BP currentpagedevice/BeginPage get dup null eq{pop{pop}bind}if def<</BeginPage{currentpagedevice/PageSize get dup 0 get 1 ne exch 1 get 1 ne or{.preview-BP gsave 1 1 0.878431 setrgbcolor clippath fill grestore }{pop}ifelse}bind/PageSize[1 1]>>setpagedevice/preview-do{/.preview-ST[count 4 roll save]def dup length 0 eq{pop}{setpagedevice}{ifelse exec}stopped{handleerror quit}if .preview-ST aload pop restore}bind def  (bbb.prv/tmp0UabeI/preview.dsc)(r)file /.preview-ST 1 index def dup 0 setfileposition 407()/SubFileDecode filter cvx exec .preview-ST dup dup 407 setfileposition 51()/SubFileDecode filter cvx<<>>preview-do
> Error: /invalidfileaccess in --file--
> Operand stack:
>    (bbb.prv/tmp0UabeI/preview.dsc)   (r)
> Execution stack:
>    %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   %loop_continue   --nostringval--   --nostringval--   false   1   %stopped_push   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
> Dictionary stack:
>    --dict:1175/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--
> Current allocation mode is local
> Last OS error: Permission denied
> Current file position is 606
> GS<2>
> 




Information forwarded to bug-auctex@HIDDEN:
bug#37719; Package auctex. Full text available.

Message received at 37719 <at> debbugs.gnu.org:


Received: (at 37719) by debbugs.gnu.org; 13 Oct 2019 19:05:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 15:05:35 2019
Received: from localhost ([127.0.0.1]:37011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJjBO-0001N4-Vq
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 15:05:35 -0400
Received: from whitehail.bostoncoop.net ([74.50.63.164]:53198
 helo=bostoncoop.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dpt@HIDDEN>) id 1iJivk-0007JB-V2
 for 37719 <at> debbugs.gnu.org; Sun, 13 Oct 2019 14:49:26 -0400
Received: from bostoncoop.net (localhost [127.0.0.1])
 by bostoncoop.net (Postfix) with ESMTP id 03C1A1C1569;
 Sun, 13 Oct 2019 14:49:18 -0400 (EDT)
Received: by bostoncoop.net (Postfix, from userid 1030)
 id EC37B1C171C; Sun, 13 Oct 2019 14:49:17 -0400 (EDT)
Date: Sun, 13 Oct 2019 14:49:17 -0400
From: Dylan Thurston <dpt@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#37719: 11.91; preview-latex not working (again?)
Message-ID: <20191013184917.GA17563@HIDDEN>
References: <20191012161106.GA1224@HIDDEN>
 <50458.1570971345@localhost>
 <20191013153149.GA17825@HIDDEN>
 <84556.1570988043@localhost>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <84556.1570988043@localhost>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37719
X-Mailman-Approved-At: Sun, 13 Oct 2019 15:05:33 -0400
Cc: 37719 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, Oct 14, 2019 at 02:34:03AM +0900, Ikumi Keita wrote:
> Hi Dylan,
> 
> >>>>> Dylan Thurston <dpt@HIDDEN> writes:
> > Preview-latex is still not working; the error message (on the same
> > minimal file) is now as follows:
> 
> Thank you for a valuable report.  It seems that the Ghostscript
> developers injected some change incompatible with preview-latex into gs
> source, and that change was incorporated into the ghostscript binary
> distribution of your package manager (Debian?).  I tried both gs 9.28
> RC4 and the latest git repository, and ended up with the same result of
> yours: ...

I can confirm that I was using Debian, and version 9.28~~rc4~dfsg-1 of
ghostscript.

I can also tell you that ghostscript version 9.27~dfsg-3.1 (the last
9.27 Debian version) worked without problems, and 9.28~~rc1~dfsg-1
exhibits apparently the same error.

--Dylan




Information forwarded to bug-auctex@HIDDEN:
bug#37719; Package auctex. Full text available.

Message received at 37719 <at> debbugs.gnu.org:


Received: (at 37719) by debbugs.gnu.org; 13 Oct 2019 18:15:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 14:15:22 2019
Received: from localhost ([127.0.0.1]:36899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJiOo-0000W3-04
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 14:15:22 -0400
Received: from smtp1.inetd.co.jp ([210.129.88.11]:47774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1iJiOl-0000R1-6v
 for 37719 <at> debbugs.gnu.org; Sun, 13 Oct 2019 14:15:20 -0400
Received: from localhost (210-20-192-190.rev.home.ne.jp [210.20.192.190])
 by smtp1.inetd.co.jp (Postfix) with ESMTPA id 867B361;
 Mon, 14 Oct 2019 03:15:16 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: gs-devel@HIDDEN
Subject: Recent ghostscript broke preview-latex again
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 26.3
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Date: Mon, 14 Oct 2019 03:15:16 +0900
Message-ID: <85502.1570990516@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37719
Cc: 37719 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Dear Ghostscript developers,

Thank you for your continuing work on developing gs.  Unfortunately, I
have to inform you that recent gs source became not compatible with
preview-latex again:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37719

I tried both gs 9.28 RC4 and fresh checkout of git repository of
ghostpdl.  I installed each of them with
env MAKE=gmake ./configure --prefix=$HOME/gs
gmake
gmake install
and set up the relavant path for this temporal installation, on FreeBSD
12.0 living in vmware on windows 10 home edition.  Then the invocation
of gs failed with a message quoted at the last of this message.

At the time of previous correspondence between us in this July,
preview-latex did work with gs 9.27 with patches suggested in
https://ghostscript.com/pipermail/gs-devel/2019-July/010161.html
applied, but it no longer does.  (By the way, the LaTeX developer
released new LaTeX this October, so the internal of the PDF file
produced by pdflatex might have some subtle difference from July.  I
attach the current PDF for reference.)

Could you please take a look and try to find a way to recover
preview-latex functionality?

Best regards,
Ikumi Keita

/home/keita/gs/bin/gs -dOutputFile\=\(bbb.prv/tmp0UabeI/pr1-1.png\) -q -dDELAYSAFER -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r108.606x108.587 -dDELAYBIND
GS>{<</PermitFileReading[(bbb.pdf)(bbb.prv/tmp0UabeI/preview.dsc)]>> setuserparams .locksafe} stopped pop {DELAYSAFER{.setsafe}if}stopped pop/.preview-BP currentpagedevice/BeginPage get dup null eq{pop{pop}bind}if def<</BeginPage{currentpagedevice/PageSize get dup 0 get 1 ne exch 1 get 1 ne or{.preview-BP gsave 1 1 0.878431 setrgbcolor clippath fill grestore }{pop}ifelse}bind/PageSize[1 1]>>setpagedevice/preview-do{/.preview-ST[count 4 roll save]def dup length 0 eq{pop}{setpagedevice}{ifelse exec}stopped{handleerror quit}if .preview-ST aload pop restore}bind def  (bbb.prv/tmp0UabeI/preview.dsc)(r)file /.preview-ST 1 index def dup 0 setfileposition 407()/SubFileDecode filter cvx exec .preview-ST dup dup 407 setfileposition 51()/SubFileDecode filter cvx<<>>preview-do
Error: /invalidfileaccess in --file--
Operand stack:
   (bbb.prv/tmp0UabeI/preview.dsc)   (r)
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   %loop_continue   --nostringval--   --nostringval--   false   1   %stopped_push   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
   --dict:1175/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--
Current allocation mode is local
Last OS error: Permission denied
Current file position is 606
GS<2>


--=-=-=
Content-Type: application/pdf
Content-Disposition: attachment; filename=bbb.pdf
Content-Transfer-Encoding: base64
Content-Description: sample pdf file
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--=-=-=--




Information forwarded to bug-auctex@HIDDEN:
bug#37719; Package auctex. Full text available.

Message received at 37719 <at> debbugs.gnu.org:


Received: (at 37719) by debbugs.gnu.org; 13 Oct 2019 17:34:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 13:34:09 2019
Received: from localhost ([127.0.0.1]:36833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJhkv-0007Vu-DO
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 13:34:09 -0400
Received: from smtp1.inetd.co.jp ([210.129.88.11]:47740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1iJhkt-0007Vl-L0
 for 37719 <at> debbugs.gnu.org; Sun, 13 Oct 2019 13:34:08 -0400
Received: from localhost (210-20-192-190.rev.home.ne.jp [210.20.192.190])
 by smtp1.inetd.co.jp (Postfix) with ESMTPA id A383C61;
 Mon, 14 Oct 2019 02:34:04 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Dylan Thurston <dpt@HIDDEN>
Subject: Re: bug#37719: 11.91; preview-latex not working (again?)
In-reply-to: <20191013153149.GA17825@HIDDEN>
References: <20191012161106.GA1224@HIDDEN>
 <50458.1570971345@localhost>
 <20191013153149.GA17825@HIDDEN>
Comments: In-reply-to Dylan Thurston <dpt@HIDDEN>
 message dated "Sun, 13 Oct 2019 11:31:49 -0400."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 26.3
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <84555.1570988043.1@localhost>
Content-Transfer-Encoding: quoted-printable
Date: Mon, 14 Oct 2019 02:34:03 +0900
Message-ID: <84556.1570988043@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37719
Cc: 37719 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Dylan,

>>>>> Dylan Thurston <dpt@HIDDEN> writes:
> Preview-latex is still not working; the error message (on the same
> minimal file) is now as follows:

Thank you for a valuable report.  It seems that the Ghostscript
developers injected some change incompatible with preview-latex into gs
source, and that change was incorporated into the ghostscript binary
distribution of your package manager (Debian?).  I tried both gs 9.28
RC4 and the latest git repository, and ended up with the same result of
yours:

,----
| /home/keita/gs/bin/gs -dOutputFile\=3D\(bbb.prv/tmp0UabeI/pr1-1.png\) -q=
 -dDELAYSAFER -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=3D4 -dGra=
phicsAlphaBits\=3D4 -sDEVICE\=3Dpng16m -r108.606x108.587 -dDELAYBIND
| GS>{<</PermitFileReading[(bbb.pdf)(bbb.prv/tmp0UabeI/preview.dsc)]>> set=
userparams .locksafe} stopped pop {DELAYSAFER{.setsafe}if}stopped pop/.pre=
view-BP currentpagedevice/BeginPage get dup null eq{pop{pop}bind}if def<</=
BeginPage{currentpagedevice/PageSize get dup 0 get 1 ne exch 1 get 1 ne or=
{.preview-BP gsave 1 1 0.878431 setrgbcolor clippath fill grestore }{pop}i=
felse}bind/PageSize[1 1]>>setpagedevice/preview-do{/.preview-ST[count 4 ro=
ll save]def dup length 0 eq{pop}{setpagedevice}{ifelse exec}stopped{handle=
error quit}if .preview-ST aload pop restore}bind def  (bbb.prv/tmp0UabeI/p=
review.dsc)(r)file /.preview-ST 1 index def dup 0 setfileposition 407()/Su=
bFileDecode filter cvx exec .preview-ST dup dup 407 setfileposition 51()/S=
ubFileDecode filter cvx<<>>preview-do
| Error: /invalidfileaccess in --file--
| Operand stack:
|    (bbb.prv/tmp0UabeI/preview.dsc)   (r)
| Execution stack:
|    %interp_exit   .runexec2   --nostringval--   --nostringval--   --nost=
ringval--   2   %stopped_push   --nostringval--   --nostringval--   %loop_=
continue   --nostringval--   --nostringval--   false   1   %stopped_push  =
 .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %st=
opped_push   --nostringval--
| Dictionary stack:
|    --dict:1175/1684(ro)(G)--   --dict:0/20(G)--   --dict:78/200(L)--
| Current allocation mode is local
| Last OS error: Permission denied
| Current file position is 606
| GS<2>
`----

I have no workaround for this trouble now.  Please consider reverting
the recent gs update if you can.

I'll report this issue to gs-devel list.

Regards,
Ikumi Keita




Information forwarded to bug-auctex@HIDDEN:
bug#37719; Package auctex. Full text available.

Message received at 37719 <at> debbugs.gnu.org:


Received: (at 37719) by debbugs.gnu.org; 13 Oct 2019 16:09:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 12:09:02 2019
Received: from localhost ([127.0.0.1]:36758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJgQW-0003Ag-5B
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 12:09:01 -0400
Received: from whitehail.bostoncoop.net ([74.50.63.164]:41086
 helo=bostoncoop.net) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dpt@HIDDEN>) id 1iJfqd-0002Ec-74
 for 37719 <at> debbugs.gnu.org; Sun, 13 Oct 2019 11:31:56 -0400
Received: from bostoncoop.net (localhost [127.0.0.1])
 by bostoncoop.net (Postfix) with ESMTP id 5E4C01C15C3;
 Sun, 13 Oct 2019 11:31:49 -0400 (EDT)
Received: by bostoncoop.net (Postfix, from userid 1030)
 id 4F4341C1812; Sun, 13 Oct 2019 11:31:49 -0400 (EDT)
Date: Sun, 13 Oct 2019 11:31:49 -0400
From: Dylan Thurston <dpt@HIDDEN>
To: Ikumi Keita <ikumi@HIDDEN>
Subject: Re: bug#37719: 11.91; preview-latex not working (again?)
Message-ID: <20191013153149.GA17825@HIDDEN>
References: <20191012161106.GA1224@HIDDEN>
 <50458.1570971345@localhost>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <50458.1570971345@localhost>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Virus-Scanned: ClamAV using ClamSMTP
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37719
X-Mailman-Approved-At: Sun, 13 Oct 2019 12:08:57 -0400
Cc: 37719 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Sun, Oct 13, 2019 at 09:55:45PM +0900, Ikumi Keita wrote:
> Hi Dylan,
> 
> >>>>> Dylan Thurston <dpt@HIDDEN> writes:
> > Preview-latex has stopped working, with errors about /invalidfileaccess.
> > (I sometimes also get errors about /typecheck; I have not isolated
> > exactly when that happens.)
> 
> [...]
> 
> > This looks similar to earlier permission issues with Ghostscript, but
> > I thought those were fixed in this latest version of auctex.
> 
> I think that you are accidentally using old AUCTeX, inferring from the
> following diagnosis and the "Subject" header of your report.
> 
> Current AUCTeX version is 12.1.  Please confirm whether your AUCTeX is
> new enough or not.

Thank you, you were correct: for some reason I have not yet tracked
down, emacs was using the system-installed version of AUCTeX (11.91)
rather than the version I installed via ELPA, which is 12.1.2. I
removed the system-installed version, and now the bug reporting
headers read as expected:

```
Emacs  : GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.11)
 of 2019-09-22, modified by Debian
Package: 12.1.2

current state:
==============
(setq
 AUCTeX-date "2019-02-08"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex"
		  "/home/dpt/.emacs.d/elpa/auctex-12.1.2/style"
		  "/home/dpt/.emacs.d/auctex/auto"
		  "/home/dpt/.emacs.d/auctex/style" "auto" "style")
```

(full output at the end).

Preview-latex is still not working; the error message (on the same
minimal file) is now as follows:

```
/usr/bin/gs -dOutputFile\=\(_region_.prv/tmpWdemBH/pr1-1.png\) -q -dDELAYSAFER -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r96.1119x96.0946
GS>{<</PermitFileReading[(_region_.pdf)(_region_.prv/tmpWdemBH/preview.dsc)]>> setuserparams .locksafe} stopped pop {DELAYSAFER{.setsafe}if}stopped pop/.preview-BP currentpagedevice/BeginPage get dup null eq{pop{pop}bind}if def<</BeginPage{currentpagedevice/PageSize get dup 0 get 1 ne exch 1 get 1 ne or{.preview-BP }{pop}ifelse}bind/PageSize[1 1]>>setpagedevice/preview-do{/.preview-ST[count 4 roll save]def dup length 0 eq{pop}{setpagedevice}{ifelse exec}stopped{handleerror quit}if .preview-ST aload pop restore}bind def  (_region_.prv/tmpWdemBH/preview.dsc)(r)file /.preview-ST 1 index def dup 0 setfileposition 412()/SubFileDecode filter cvx exec .preview-ST dup dup 412 setfileposition 51()/SubFileDecode filter cvx<<>>preview-do
Error: /invalidfileaccess in --file--
Operand stack:
   (_region_.prv/tmpWdemBH/preview.dsc)   (r)
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   %loop_continue   --nostringval--   --nostringval--   false   1   %stopped_push   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
   --dict:746/1123(ro)(G)--   --dict:0/20(G)--   --dict:77/200(L)--
Current allocation mode is local
Last OS error: Permission denied
Current file position is 567
GS<2>
```

(It's maybe worth noting this was working perfectly until recently.)



Emacs  : GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.11)
 of 2019-09-22, modified by Debian
Package: 12.1.2

current state:
==============
(setq
 AUCTeX-date "2019-02-08"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex"
		  "/home/dpt/.emacs.d/elpa/auctex-12.1.2/style"
		  "/home/dpt/.emacs.d/auctex/auto"
		  "/home/dpt/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX"
		     "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %t"
		     TeX-run-TeX nil
		     (plain-tex-mode ams-tex-mode texinfo-mode) :help
		     "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil
		     (latex-mode doctex-mode) :help "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil
		     (texinfo-mode) :help "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
		     TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with HTML output")
		    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %t"
		     TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
		    ("ConTeXt"
		     "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
		    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help
		     "Run BibTeX")
		    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
		    ("View" "%V" TeX-run-discard-or-function t t :help
		     "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help
		     "View the printer queue" :visible TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help
		     "Generate PostScript file")
		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help
		     "Convert DVI file to PostScript")
		    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help
		     "Convert DVI file to PDF with dvipdfmx")
		    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help
		     "Convert PostScript file to PDF")
		    ("Glossaries" "makeglossaries %s" TeX-run-command nil t
		     :help "Run makeglossaries to create glossary file")
		    ("Index" "makeindex %s" TeX-run-index nil t :help
		     "Run makeindex to create index file")
		    ("upMendex" "upmendex %s" TeX-run-index t t :help
		     "Run upmendex to create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil t :help
		     "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode)
		     :help "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode)
		     :help "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil
		     t :help "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help
		     "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help
		     "Run an arbitrary command")
		    )
 )




Information forwarded to bug-auctex@HIDDEN:
bug#37719; Package auctex. Full text available.

Message received at 37719 <at> debbugs.gnu.org:


Received: (at 37719) by debbugs.gnu.org; 13 Oct 2019 12:55:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 13 08:55:51 2019
Received: from localhost ([127.0.0.1]:35346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJdPb-0006eL-8g
	for submit <at> debbugs.gnu.org; Sun, 13 Oct 2019 08:55:51 -0400
Received: from smtp1.inetd.co.jp ([210.129.88.11]:47302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ikumi@HIDDEN>) id 1iJdPY-0006eB-OB
 for 37719 <at> debbugs.gnu.org; Sun, 13 Oct 2019 08:55:49 -0400
Received: from localhost (210-20-192-190.rev.home.ne.jp [210.20.192.190])
 by smtp1.inetd.co.jp (Postfix) with ESMTPA id 0832061;
 Sun, 13 Oct 2019 21:55:45 +0900 (JST)
From: Ikumi Keita <ikumi@HIDDEN>
To: Dylan Thurston <dpt@HIDDEN>
Subject: Re: bug#37719: 11.91; preview-latex not working (again?)
In-reply-to: <20191012161106.GA1224@HIDDEN>
References: <20191012161106.GA1224@HIDDEN>
Comments: In-reply-to Dylan Thurston <dpt@HIDDEN>
 message dated "Sat, 12 Oct 2019 12:11:06 -0400."
X-Mailer: MH-E 8.6+git; nmh 1.7.1; GNU Emacs 26.3
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-ID: <50455.1570971345.1@localhost>
Date: Sun, 13 Oct 2019 21:55:45 +0900
Message-ID: <50458.1570971345@localhost>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37719
Cc: 37719 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Dylan,

>>>>> Dylan Thurston <dpt@HIDDEN> writes:
> Preview-latex has stopped working, with errors about /invalidfileaccess.
> (I sometimes also get errors about /typecheck; I have not isolated
> exactly when that happens.)

[...]

> This looks similar to earlier permission issues with Ghostscript, but
> I thought those were fixed in this latest version of auctex.

I think that you are accidentally using old AUCTeX, inferring from the
following diagnosis and the "Subject" header of your report.

Current AUCTeX version is 12.1.  Please confirm whether your AUCTeX is
new enough or not.

Regards,
Ikumi Keita

> Emacs  : GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.11)
>  of 2019-09-22, modified by Debian
> Package: 11.91  <-- This is the version of AUCTeX

> current state:
> ==============
> (setq
>  AUCTeX-date "2017-07-24"  <-- This is the date of AUCTeX




Information forwarded to bug-auctex@HIDDEN:
bug#37719; Package auctex. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 12 Oct 2019 19:47:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 12 15:47:04 2019
Received: from localhost ([127.0.0.1]:34250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJNLz-0002H6-Qo
	for submit <at> debbugs.gnu.org; Sat, 12 Oct 2019 15:47:04 -0400
Received: from lists.gnu.org ([209.51.188.17]:48422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dpt@HIDDEN>) id 1iJJz8-0007lX-01
 for submit <at> debbugs.gnu.org; Sat, 12 Oct 2019 12:11:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56995)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dpt@HIDDEN>) id 1iJJz6-0001Uk-9U
 for bug-auctex@HIDDEN; Sat, 12 Oct 2019 12:11:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dpt@HIDDEN>) id 1iJJz4-0002LZ-DO
 for bug-auctex@HIDDEN; Sat, 12 Oct 2019 12:11:12 -0400
Received: from whitehail.bostoncoop.net ([74.50.63.164]:49514
 helo=bostoncoop.net) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dpt@HIDDEN>) id 1iJJz4-0002Kd-7N
 for bug-auctex@HIDDEN; Sat, 12 Oct 2019 12:11:10 -0400
Received: from bostoncoop.net (localhost [127.0.0.1])
 by bostoncoop.net (Postfix) with ESMTP id E76121C1569;
 Sat, 12 Oct 2019 12:11:06 -0400 (EDT)
Received: by bostoncoop.net (Postfix, from userid 1030)
 id DC71B1C15BA; Sat, 12 Oct 2019 12:11:06 -0400 (EDT)
Date: Sat, 12 Oct 2019 12:11:06 -0400
From: Dylan Thurston <dpt@HIDDEN>
To: bug-auctex@HIDDEN
Subject: 11.91; preview-latex not working (again?)
Message-ID: <20191012161106.GA1224@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Virus-Scanned: ClamAV using ClamSMTP
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 74.50.63.164
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 12 Oct 2019 15:47:02 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

To: bug-auctex@HIDDEN
Subject: 11.91; preview-latex not working again
From: Dylan Thurston <dpt@HIDDEN>
--text follows this line--

Preview-latex has stopped working, with errors about /invalidfileaccess.
(I sometimes also get errors about /typecheck; I have not isolated
exactly when that happens.)

On this minimal TeX file:
```
\documentclass{article}

\begin{document}
Testing. $1+1=2$
\end{document}
```

I get the following error message:

```
/usr/bin/gs -dOutputFile\=\(_region_.prv/tmpLERquC/pr1-1.png\) -q -dDELAYSAFER -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r96.1119x96.0946
GS>{<</PermitFileReading[(_region_.pdf)(_region_.prv/tmpLERquC/preview.dsc)]>> setuserparams .locksafe} stopped pop {DELAYSAFER{.setsafe}if}stopped pop/.preview-BP currentpagedevice/BeginPage get dup null eq{pop{pop}bind}if def<</BeginPage{currentpagedevice/PageSize get dup 0 get 1 ne exch 1 get 1 ne or{.preview-BP }{pop}ifelse}bind/PageSize[1 1]>>setpagedevice/preview-do{/.preview-ST[count 4 roll save]def dup length 0 eq{pop}{setpagedevice}{ifelse exec}stopped{handleerror quit}if .preview-ST aload pop restore}bind def  (_region_.prv/tmpLERquC/preview.dsc)(r)file /.preview-ST 1 index def dup 0 setfileposition 412()/SubFileDecode filter cvx exec .preview-ST dup dup 412 setfileposition 51()/SubFileDecode filter cvx<<>>preview-do
Error: /invalidfileaccess in --file--
Operand stack:
   (_region_.prv/tmpLERquC/preview.dsc)   (r)
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   %loop_continue   --nostringval--   --nostringval--   false   1   %stopped_push   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
   --dict:746/1123(ro)(G)--   --dict:0/20(G)--   --dict:77/200(L)--
Current allocation mode is local
Last OS error: Permission denied
Current file position is 567
GS<2>
```

Since permissions might be an issue, here are the relevant files left
around:

```
dpt@tulip:/tmp$ ls -lRa _region_.prv/
_region_.prv/:
total 72
drwxr-xr-x  3 dpt  dpt   4096 Oct 12 11:52 .
drwxrwxrwt 20 root root 61440 Oct 12 11:52 ..
drwx------  2 dpt  dpt   4096 Oct 12 11:52 tmpLERquC

_region_.prv/tmpLERquC:
total 12
drwx------ 2 dpt dpt 4096 Oct 12 11:52 .
drwxr-xr-x 3 dpt dpt 4096 Oct 12 11:52 ..
-rw-r--r-- 1 dpt dpt  489 Oct 12 11:52 preview.dsc
dpt@tulip:/tmp$ ls -lRa _region_.*
-rw-r--r-- 1 dpt dpt 3516 Oct 12 11:52 _region_.log
-rw-r--r-- 1 dpt dpt 9149 Oct 12 11:52 _region_.pdf
-rw-r--r-- 1 dpt dpt  240 Oct 12 11:51 _region_.tex

_region_.prv:
total 72
drwxr-xr-x  3 dpt  dpt   4096 Oct 12 11:52 .
drwxrwxrwt 20 root root 61440 Oct 12 11:52 ..
drwx------  2 dpt  dpt   4096 Oct 12 11:52 tmpLERquC

_region_.prv/tmpLERquC:
total 12
drwx------ 2 dpt dpt 4096 Oct 12 11:52 .
drwxr-xr-x 3 dpt dpt 4096 Oct 12 11:52 ..
-rw-r--r-- 1 dpt dpt  489 Oct 12 11:52 preview.dsc
```

I don't see any reason why Emacs wouldn't be able to read that preview.dsc.

This looks similar to earlier permission issues with Ghostscript, but
I thought those were fixed in this latest version of auctex.

Emacs  : GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.11)
 of 2019-09-22, modified by Debian
Package: 11.91

current state:
==============
(setq
 AUCTeX-date "2017-07-24"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("/var/lib/auctex/emacs/"
		  "/usr/share/emacs/site-lisp/auctex/style"
		  "/home/dpt/.emacs.d/auctex/auto"
		  "/home/dpt/.emacs.d/auctex/style" "auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master "Smoothings"
 TeX-command-list '(("TeX"
		     "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %t"
		     TeX-run-TeX nil (plain-tex-mode ams-tex-mode texinfo-mode)
		     :help "Run plain TeX")
		    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil
		     (latex-mode doctex-mode) :help "Run LaTeX")
		    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil
		     (texinfo-mode) :help "Run Makeinfo with Info output")
		    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t"
		     TeX-run-compile nil (texinfo-mode) :help
		     "Run Makeinfo with HTML output")
		    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %t"
		     TeX-run-TeX nil (ams-tex-mode) :help "Run AMSTeX")
		    ("ConTeXt"
		     "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help "Run ConTeXt once")
		    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t"
		     TeX-run-TeX nil (context-mode) :help
		     "Run ConTeXt until completion")
		    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help
		     "Run BibTeX")
		    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
		    ("View" "%V" TeX-run-discard-or-function t t :help
		     "Run Viewer")
		    ("Print" "%p" TeX-run-command t t :help "Print the file")
		    ("Queue" "%q" TeX-run-background nil t :help
		     "View the printer queue" :visible TeX-queue-command)
		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help
		     "Generate PostScript file")
		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help
		     "Convert DVI file to PostScript")
		    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help
		     "Convert DVI file to PDF with dvipdfmx")
		    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help
		     "Convert PostScript file to PDF")
		    ("Glossaries" "makeglossaries %s" TeX-run-command nil t
		     :help "Run makeglossaries to create glossary file")
		    ("Index" "makeindex %s" TeX-run-index nil t :help
		     "Run makeindex to create index file")
		    ("upMendex" "upmendex %s" TeX-run-index t t :help
		     "Run upmendex to create index file")
		    ("Xindy" "texindy %s" TeX-run-command nil t :help
		     "Run xindy to create index file")
		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
		     "Check LaTeX file for correctness")
		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode)
		     :help "Check LaTeX file for common mistakes")
		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t
		     :help "Spell-check the document")
		    ("Clean" "TeX-clean" TeX-run-function nil t :help
		     "Delete generated intermediate files")
		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
		     "Delete generated intermediate and output files")
		    ("Other" "" TeX-run-command t t :help
		     "Run an arbitrary command")
		    )
 )




Acknowledgement sent to Dylan Thurston <dpt@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-auctex@HIDDEN. Full text available.
Report forwarded to bug-auctex@HIDDEN:
bug#37719; Package auctex. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 14 Oct 2019 08:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.